//SPARQL endpoint queries are sent to
var sparqlEndpoint= location.protocol + '//' + location.hostname + ":3030/greenstone/query" ;
var collectionName = gs.cgiParams.c;

//Sets up various parts of the page, setting up onclick actions etc
function setupPage()
{ 

	$("#btn_ShowChart").click(function(){
		newQuery("sgvzl_container", $('#sel_ChartType').val(),2000);
	});

	$("#cb_RefineSearch").click(function(){
		if(document.getElementById("cb_RefineSearch").checked==false)
			toggle_RefineSearch(0);
		else
			toggle_RefineSearch(1);
		generateQuery();
	});

	

	$("#sel_Limit").change(function(){
		generateQuery();
	});

	$('#div_Selects select').combobox({
			select: function(event, ui){
				var id = event.target.id;
				if(id=="sel_Predicate"){
				updateRefineObjectSelector($("#sel_Predicate").val());
				//Empty predicate selector and put empty option in it
			/*	$('#sel_RefinePredicate').empty();
				$('#sel_RefinePredicate')
				.append("<option value=\"\">Select ?o above</option>");
				$('#sel_RefinePredicate').next().find('.custom-combobox-input').val("Select ?o above");*/

				generateQuery();
				}
				else if(id=="sel_RefineObject"){
				//updateRefinePredicateSelector($("#sel_RefineObject").val());
				generateQuery();
				}
				else if(id=="sel_RefinePredicate"){
				generateQuery();
				}
		}});
	$('#table_refineControls tr td:first').addClass("alignRight");

	setupCharts();

}

function setupCharts()
{	

$(document).on("click", "#div_PredicateOverview .google-visualization-table-tr-even td:first-child, #div_PredicateOverview .google-visualization-table-tr-odd td:first-child", function(){
		var clickedText = tidyPredicate($(this).text());
		$('#sel_Predicate option').removeAttr("selected");
		$('#sel_Predicate option').filter(function(){
			return $(this).text() == clickedText;
		}).prop('selected', true);
		
		//Update refine object selector with new value for predicate
		updateRefineObjectSelector($("#sel_Predicate").val());

		//Clear refine predicate selector
		/*$('#sel_RefinePredicate').empty();
		$('#sel_RefinePredicate')
		.append("<option value=\"\">Select ?o above</option>");
		$('#sel_RefinePredicate').next().find('.custom-combobox-input').val("Select ?o above");*/
		generateQuery();
		
		$('#sel_Predicate').siblings('.custom-combobox').find('.custom-combobox-input').val(clickedText);

		newQuery("sgvzl_container", $('#sel_ChartType').val(),500);
	});

	sgvizler.defaultChartWidth(675);
}
